var claseUsuario = "";

$.ajax({
	  type: "POST",
	  url: "../usuarios/obtenerClaseUsuario",
	  success: function(data){
		
			  if (data.idclase != null && data.idclase >=0){
				 
				  claseUsuario = data.idclase;			
				  	  
					  $("#idclase_search").val(data.idclase);				
					 
				  
				  
			  }else{
				  //Si desde el mantenimiento de usuarios no se le ha asignado alguna clase no puede buscar nada
				  $("#idclase_search").val("-1");
				  
				  
			  }
		  },
		 error: function(data){
			 alert( "Error al comprobar la clase a la que pertenece el usuario");
		 },
	  dataType: "json"
	});

jQuery(function($){
	$("#prevPendientes_filter_div").toggle();
	
	//Si el usuario es tiene acceso a todos los servicios (idServicio=0) se podrá filtrar por cualquier Servicio.
	//En el resto de casos se filtrara por el Servicio al que pertenece para que solo salgan los partes asociados a ese servico
	$.ajax({
		  type: "POST",
		  url: "../usuarios/usuarioTodosServicios",
		  success: function(data){
				  if (data){
					  $("#filtroServicio").show();
				  }else{
					  $("#filtroServicio").hide();
				  }
			  },
			 error: function(data){
				 alert( "Error al comprobar el servicio al que pertenece el usuario");
			 },
		  dataType: "json"
		});

	var urlTipoPendiente = "";
	if ($("#tipoPendiente").val()=="PrevAsignar"){
		urlTipoPendiente ="../ficha/gridPrevPendAsignar";
		$("#ventanaOrigenFicha").val("prevPendAsignar");
		$("#tituloPendientes").html($.rup.i18n.app.pendientes.prevAsignar);
	}else if ($("#tipoPendiente").val()=="PrevAsigPendEjec"){
		urlTipoPendiente ="../ficha/gridPrevAsigPendEjec";
		$("#ventanaOrigenFicha").val("prevAsigPendEjec");
		$("#tituloPendientes").html($.rup.i18n.app.pendientes.prevAsigPendEjec);
	}
	$("#GRID_prevPendientes").rup_grid({
		
		//hasMaint: true,
		loadOnStartUp:false,
		width: 1012,
		url: urlTipoPendiente,
		pagerName: "pager",
		rowNum: "30",
		sortorder: "desc",
		sortname: "idficha",
		ondblClickRow : fncDetalleFicha,
		colNames: [
		    $.rup.i18n.app.nuevo.idficha,
			$.rup.i18n.app.nuevo.fechaPre,
			$.rup.i18n.app.nuevo.fechaplanif,
			$.rup.i18n.app.pendientes.tecnicos,			
			$.rup.i18n.app.nuevo.edificio,
			$.rup.i18n.app.nuevo.zona,
			$.rup.i18n.app.nuevo.planta,
			$.rup.i18n.app.nuevo.mcodigo,
			$.rup.i18n.app.mensajesFicha.equipo,
			$.rup.i18n.app.nuevo.gama
		],
		colModel: [
			{ name: "idficha",
				label: "idficha",
				index: "idficha",
				width: "50",
				editable: true,
				edittype: "text"
			},
			{ name: "feejec",
				label: "feejec",
				index: "feejec",
				width: "95",
				editable: true,
				edittype: "text"
			},
			{ name: "fechaplanif",
				label: "fechaplanif",
				index: "fechaplanif",
				width: "95",
				editable: true,
				edittype: "text"
			},
			{ name: "tecnicos",
				label: "tecnicos",
				index: "tecnicos",
				width: "120",
				editable: true,
				edittype: "text",
				hidden : $("#tipoPendiente").val()=="PrevAsignar"?true:false
			},
			{ name: "maquina.edificio." + obtenerIdioma() + "edificio",
				label: "maquina.edificio." + obtenerIdioma() + "edificio",
				index: obtenerIdioma() + "edificio",
				width: "170",
				editable: true,
				edittype: "text"
			},
			{ name: "maquina.zona." + obtenerIdioma() + "zona",
				label: "maquina.zona." + obtenerIdioma() + "zona",
				index: obtenerIdioma() + "zona",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "maquina.planta." + obtenerIdioma() + "planta",
				label: "maquina.planta." + obtenerIdioma() + "planta",
				index: obtenerIdioma() + "planta",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "maquina.mcodigo",
				label: "maquina.mcodigo",
				index: "mcodigo",
				width: "100",
				editable: true,
				edittype: "text"
			},
			{ name: "maquina." + obtenerIdioma() + "maquina",
				label: "maquina." + obtenerIdioma() + "maquina",
				index: obtenerIdioma() + "maquina",
				width: "150",
				editable: true,
				edittype: "text"
			},
			{ name: "gama." + obtenerIdioma() + "gama",
				label: "gama." + obtenerIdioma() + "gama",
				index: obtenerIdioma() + "gama",
				width: "150",
				editable: true,
				edittype: "text"
			}
        ]
		
	});
	
	$("#prevPendientes").rup_maint({
		jQueryGrid: "GRID_prevPendientes",
		primaryKey: "idficha",
		modelObject: "Ficha",
		detailButtons: $.rup.maint.detailButtons.SAVE,
		onafterDetailShow: function(){
			$("prevPendientes").rup_maint("search");
		},
		searchForm: "searchForm",
		showMessages: true,
		toolbar:{
			createDefaultToolButtons:false,
			newButtons: [
					{
					obj: {
						i18nCaption: $.rup.i18n.app.botones.editar,
						css: "rup-maint_edit"
						},
						json_i18n: $.rup.i18n.app.simpelMaint,
						click: fncDetalleFicha
					},
					{
						obj: {
							i18nCaption: $.rup.i18n.app.botones.imprimir,
							css: "rup-maint_edit"
							},
							json_i18n: $.rup.i18n.app.simpelMaint,
							click: fncImprimir
						}
	
					]
	
			}
	});

	
	function fncDetalleFicha() {
		var id= $("#GRID_prevPendientes").rup_grid('getGridParam','selrow');
		 //alert(id);
		 var ret = $("#GRID_prevPendientes").rup_grid('getRowData',id); 
		 var idficha =ret.idficha;
		 
		    // enviamos el form alternativo con el idficha
		 editarFichasForm.idEditarFicha.value = idficha;
		 editarFichasForm.submit();
		return false; 		
	}
	
	function fncImprimir() {
		
		//Enviar el formulario de busqueda a la funcion de imprimir
		var urlTipoPendienteImprimir="";
		if ($("#tipoPendiente").val()=="PrevAsignar"){
			urlTipoPendienteImprimir ="../ficha/imprimirPrevPendAsignar";
		}else if ($("#tipoPendiente").val()=="PrevAsigPendEjec"){
			urlTipoPendienteImprimir ="../ficha/imprimirAsigPendEjec";
		}else{
			alert("Error. Vuelva a entrar desde el menú");
		}
		
		//Pasar los filtros al formulario filtroPendientesForm
		$("#idficha_pend").val($("#idficha_search").val());
		$("#fechaD_pend").val($("#fechaD_search").val());
		$("#fechaH_pend").val($("#fechaH_search").val());
		$("#fechaplanifD_pend").val($("#fechaplanifD_search").val());
		$("#fechaplanifH_pend").val($("#fechaplanifH_search").val());
		$("#idedificio_pend").val($("#idedificio_search").val());
		$("#idzona_pend").val($("#idzona_search").val());
		$("#idplanta_pend").val($("#idplanta_search").val());
		$("#mcodigo_pend").val($("#mcodigo_search").val());
		$("#maquina_pend").val($("#maquina_search").val());
		$("#gama_pend").val($("#gama_search").val());
		$("#idclase_pend").val($("#idclase_search").val());
		$("#tecnicos_pend").val($("#idtecnico_search").val());
		
		$("#filtroPendientesForm").attr("action",urlTipoPendienteImprimir);
		$("#filtroPendientesForm").attr("method","GET");
		$("#filtroPendientesForm").attr("target","_blank");
		 //Se envia el formulario con el idmaquina y el idficha
		$("#filtroPendientesForm").submit();

	}
	
	//Busqueda por fecha de recepcion.
	$.rup_date({
		from: "fechaD_search",
		to: "fechaH_search",
		independientes: true
		});
	$.rup_date({
		from: "fechaplanifD_search",
		to: "fechaplanifH_search",
		independientes: true
		});
	
	$("#imprimirPendientes").hide();

	//Edificio
	$("#comboEdificios").rup_combo({
		source: "../partes/edificiosUsuario/combo/remote",
		sourceParam: {label:obtenerIdiomaCombo()+"edificio", value:"idedificio"},
		width: 200,
		menuWidth:350,
		blank: "",
		select: function(){
			//asignar el valor seleccionado al campo del formulario que actualiza el valor
			$("#idedificio_search").val($("#comboEdificios").rup_combo("value"));
			//asignar el valor para la opción de imprimir
			if ($("#comboEdificios").rup_combo("value")!=""){
				$("#cedificio_pend").val($("#comboEdificios-button").text());	
			}else{
				$("#cedificio_pend").val("");
			}
		},
		style : "dropdown"										
	});
	
	
	// Limpiar no deschequea automaticamente los chekbox.  
	$("#clean_search_prevPendientes").unbind("click");
	$("#clean_search_prevPendientes").bind("click",limpiarFormBusqueda);

	$("#prevPendientes").rup_maint("search");
});

/*************************************************************/
/***********************SERVICIOS*****************************/
/*************************************************************/

$("#imgBuscarServicios").rup_tooltip({
	content: {
	text: $.rup.i18n.app.nuevo.ventanaSeleccion
	}
});

function btn_BuscarServicios(){
	var urlServicios="../servicios/obtenerServicios";
	
	$("#idTablaServicios").empty();
	var textoBaja="";
	//Obtener la lista de Servicios
	$.ajax({
		type: "POST",
		url: urlServicios,
		success: function(data){
			var miselect=$("#idTablaServicios");
			$("#idTablaServicios").empty();
            for (var i=0; i<data.length; i++) {
            	var descripcion = "";
            	if (data[i].baja=="1"){
            		textoBaja="(" + $.rup.i18n.app.GRID_cabeceras.baja  + ") ";
            	}else{
            		textoBaja= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
            	}
              	if ($.rup_utils.capitalizedLang() =="Es") {	
              		descripcion =  textoBaja + data[i].cservicio;
              	} else {
              		descripcion = textoBaja + data[i].eservicio;
              	}
              	miselect.append('<option value="' + data[i].idservicio + '">' + descripcion + '</option>');
             	}								  
			},
		  dataType: "json"
		});

	
	//Mostrar la ventana de lupa Servicios
	$("#lupaServicios").rup_dialog({      
		type: jQuery.rup.dialog.DIV,
		modal:true,
        height:300,
        width:450,  
        resizable:false,
        title:$.rup.i18n.app.comun.serviciosVigentes,
        autoOpen:true,
        showLoading:true,
        async:false, 
        zIndex: -1,
        buttons:[{
	        	id: "aceptarlupaServicios",
	        	text: $.rup.i18n.base.rup_global.aceptar,
	        	click: function() {
		        		//Pintar el texto de servicio 
		        		$("#idServicio").val($("#idTablaServicios option:selected").val());
		        		var texto = $("#idTablaServicios option:selected").html();
		        		texto = texto.replace(/&nbsp;/g, "");
		        		$("#textoServicio").val(texto);
		        		$("#lupaServicios").rup_dialog("close");
	        		}
        	},
	        {
	    		id: "cerrarlupaServicios",
	    		text: $.rup.i18n.base.rup_global.cancelar,
	        	click: function() {
	        		$("#lupaServicios").rup_dialog("close");
	        	},
	        	btnType:$.rup.dialog.LINK
        	}]
      });
   

}

/**************************************************************/

function limpiarFormBusqueda() {
	$("#prevPendientes").rup_maint("cleanSearchForm");
	$("#prevPendientes").rup_maint("search");
}

function obtenerIdiomaCombo(){
	var idioma="c";		
	if ($.rup_utils.capitalizedLang() =="Es") {	
		idioma = "c";
	} else idioma="e";
	return idioma;
	}
function activarCheck(e){
	$("input[type=checkbox]").each (function() {						
		$(this).val(this.checked ? "1" : "0");
	});
}
function obtenerIdioma(){
    var idioma="";       
    if ($.rup_utils.capitalizedLang() =="Es") {    
          idioma = "c";
    } else idioma="e";
    return idioma;
}


$(window).load(function() {
	$('#comboEdificios').rup_combo("setRupValue",$("#idedificio_search").val());
});

function ocultarBusqueda(){
	
	$("#prevPendientes_filter_div").toggle("slow",function(){
		
	});
}
